Bug 640365 - warning: user vcsa does not exist - using root
Summary: warning: user vcsa does not exist - using root
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-05 16:27 UTC by Michael Schwendt
Modified: 2013-07-02 23:48 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-15 14:01:19 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2010-10-05 16:27:57 UTC
Description of problem: Installing the "mc" package prints:

    warning: user vcsa does not exist - using root

The mc.spec file contains

    %attr(4711, vcsa, root) %{_libexecdir}/mc/cons.saver

without anything creating the "vcsa" user. Obviously, the file is not created as

    -rws--x--x vcsa  root      6016 /usr/libexec/mc/cons.saver

but

    -rwx--x--x. 1 root root 6016 Sep  7 18:18 /usr/libexec/mc/cons.saver

Spec %changelog does not mention anything about it other than two entries from 2004 and 2002, going back as far as Red Hat Linux 7.3 and bug 61149.

Comment 1 Jindrich Novy 2010-10-07 07:19:08 UTC
Fixed. It seems like vcsa is indeed no more used/needed.

Comment 2 Fedora Update System 2010-10-07 08:22:12 UTC
mc-4.7.4-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mc-4.7.4-2.fc13

Comment 3 Fedora Update System 2010-10-07 08:22:29 UTC
mc-4.7.4-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mc-4.7.4-2.fc12

Comment 4 Fedora Update System 2010-10-07 08:22:46 UTC
mc-4.7.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mc-4.7.4-2.fc14

Comment 5 Fedora Update System 2010-10-07 19:52:47 UTC
mc-4.7.4-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mc-4.7.4-2.fc14

Comment 6 Michael Schwendt 2010-10-08 11:57:18 UTC
In mc-4.7.4-2.fc14, cons.saver now is setuid root. This is unnecessary, as due to the previous vcsa user bug, the file has never been setuid root either.

Comment 7 Fedora Update System 2010-10-14 22:59:48 UTC
mc-4.7.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Michael Schwendt 2010-10-15 09:06:13 UTC
IMO it is wrong to close this. See comment 6.

Comment 9 Jindrich Novy 2010-10-15 14:01:19 UTC
cons.saver is no more suid root in rawhide. It will be fixed together with next series of mc Fedora updates.

Comment 10 Fedora Update System 2010-10-17 04:50:17 UTC
mc-4.7.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-05 22:53:14 UTC
mc-4.7.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-12-14 10:05:17 UTC
mc-4.7.4-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mc-4.7.4-4.fc13

Comment 13 Fedora Update System 2010-12-14 10:06:34 UTC
mc-4.7.4-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mc-4.7.4-4.fc14

Comment 14 Fedora Update System 2011-01-12 17:13:24 UTC
mc-4.7.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mc-4.7.5-1.fc14

Comment 15 Fedora Update System 2011-01-12 17:15:47 UTC
mc-4.7.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mc-4.7.5-1.fc13

Comment 16 Fedora Update System 2011-01-21 22:52:06 UTC
mc-4.7.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-01-21 22:56:41 UTC
mc-4.7.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.